Intel® Quark™ Microcontroller Software Interface 1.4.0 Intel® Quark™ Microcontroller BSP

- Main Page
- Modules
- Data Structures
- Files

Functions
Quark SE Voltage Regulators

Voltage Regulators Control. More...

## Functions
int | vreg_aon_set_mode (const vreg_mode_t mode)
| Set AON Voltage Regulator mode. More...
int | vreg_plat3p3_set_mode (const vreg_mode_t mode)
| Set Platform 3P3 Voltage Regulator mode. More...
int | vreg_plat1p8_set_mode (const vreg_mode_t mode)
| Set Platform 1P8 Voltage Regulator mode. More...
int | vreg_host_set_mode (const vreg_mode_t mode)
| Set Host Voltage Regulator mode. More...

## Detailed Description

Voltage Regulators Control.

## Function Documentation

int vreg_aon_set_mode | ( | const vreg_mode_t | mode | ) |

Set AON Voltage Regulator mode.

The AON Voltage Regulator is not a switching regulator and only acts as a linear regulator. VREG_SWITCHING_MODE is not a value mode for the AON Voltage Regulator.

Parameters

  [in] | mode | Voltage Regulator mode.

Returns
  Standard errno return type for QMSI.

Return values

  0 | on success.
  Negative | errno for possible error codes.

Definition at line 45 of file vreg.c.

int vreg_host_set_mode | ( | const vreg_mode_t | mode | ) |

Set Host Voltage Regulator mode.

Parameters

  [in] | mode | Voltage Regulator mode.

Returns
  Standard errno return type for QMSI.

Return values

  0 | on success.
  Negative | errno for possible error codes.

Definition at line 65 of file vreg.c.

int vreg_plat1p8_set_mode | ( | const vreg_mode_t | mode | ) |

Set Platform 1P8 Voltage Regulator mode.

Parameters

  [in] | mode | Voltage Regulator mode.

Returns
  Standard errno return type for QMSI.

Return values

  0 | on success.
  Negative | errno for possible error codes.

Definition at line 59 of file vreg.c.

Referenced by qm_power_soc_deep_sleep().

int vreg_plat3p3_set_mode | ( | const vreg_mode_t | mode | ) |

Set Platform 3P3 Voltage Regulator mode.

Parameters

  [in] | mode | Voltage Regulator mode.

Returns
  Standard errno return type for QMSI.

Return values

  0 | on success.
  Negative | errno for possible error codes.

Definition at line 53 of file vreg.c.

Referenced by qm_power_soc_deep_sleep().